#
# spec file for package ldapcpplib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ldapcpplib
Url:            http://www.openldap.org
Summary:        C++ API for LDAPv3
License:        OLDAP-2.8
Group:          Development/Libraries/C and C++
Version:        0.3.1
Release:        lp151.2.3

Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cyrus-sasl-devel
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  openldap2-devel

%description
C++ API for LDAPv3.

Documentation is in /usr/share/doc/packages/ldapcpplib/srcdoc.



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

%package -n libldapcpp1
Summary:        C++ API for LDAPv3
Group:          Development/Libraries/C and C++
Provides:       ldapcpplib = %{version}-%{release}
Obsoletes:      ldapcpplib <= 0.0.5

%description -n libldapcpp1
This package provides a C++ library for accessing LDAP (Version 3)
Servers



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

%package -n libldapcpp-devel
Summary:        Files for Developing libldapcpp Applications
Group:          Development/Libraries/C and C++
Provides:       ldapcpplib-devel = %{version}
Obsoletes:      ldapcpplib-devel <= 0.0.5
Requires:       libldapcpp1 = %{version}
Requires:       libstdc++-devel
Requires:       openldap2-devel

%description -n libldapcpp-devel
This package contains files needed for development with the LDAP C++
library.



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%{?suse_update_config:%{suse_update_config -l -f build}}
autoreconf -fiv
%configure 	--disable-static --with-pic \
		  	--enable-shared --with-libldap=%{_libdir} \
			--with-ldap-includes=/usr/include 
make CXXFLAGS="$RPM_OPT_FLAGS" %{?jobs:-j%jobs}
rm -rf srcdoc/CVS
doxygen doxygen.rc

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/html
install -m644 srcdoc/html/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/html/
install -m644 LICENSE $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/LICENSE
install -m644 README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/README
install -m644 COPYRIGHT $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/COPYRIGHT
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post -n libldapcpp1 -p /sbin/ldconfig

%postun -n libldapcpp1 -p /sbin/ldconfig

%files -n libldapcpp1
%defattr(-,root,root)
%{_libdir}/libldapcpp.so.*

%files -n libldapcpp-devel
%defattr(-,root,root)
/usr/include/Ldif*.h
/usr/include/LDAP*.h
/usr/include/Sasl*.h
/usr/include/StringList.h
/usr/include/TlsOptions.h
%{_libdir}/libldapcpp.so
%{_defaultdocdir}/%{name}/html
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/LICENSE
%{_defaultdocdir}/%{name}/README
%{_defaultdocdir}/%{name}/COPYRIGHT

%changelog
* Tue Jun 18 2013 jengelh@inai.de
- Explicitly specify required cyrus-sasl-devel dependency
* Thu Jan 31 2013 rhafer@suse.com
- Update to 0.3.1:
  * obsoletes ldapcpplib-gcc47.patch (has been included upstream)
  * Added some checks for existence of certificate files and
    directories when setting TLS options (bnc#801065)
* Wed Apr 18 2012 cfarrell@suse.com
- license update: OLDAP-2.8
  Use SPDX syntax (http://www.spdx.org/licenses)
* Thu Mar 15 2012 dimstar@opensuse.org
- Add ldapcpplib-gcc47.patch: Fix build with gcc 4.7.
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Wed Jun 22 2011 rhafer@suse.de
- Update to 0.3.0
  * Added interface for accessing LDAPAttribute inside
    LDAPModification
  * includes fix to build with GCC 4.6
* Sat Apr 30 2011 crrodriguez@opensuse.org
- Fix build with GCC 4.6
* Thu Apr 14 2011 rhafer@suse.de
- Version 0.2.3
  * Imported fix for LDAPCtrl constructor (bnc#563955)
* Fri Apr  1 2011 rhafer@suse.de
- Version 0.2.2
  * Fixed some issue with the renewal of the underlying libldap
    SSL/TLS context (bnc#683826, bnc#683809)
* Mon Mar 15 2010 rhafer@novell.com
- synced with latest CVS:
  * Make TlsOptions available in LDAPConnection
  * be more verbose on StartTLS errors
* Fri Feb 19 2010 rhafer@novell.com
- synced with latest CVS, adds methods for easier modification
  of TLS options
* Fri Sep 25 2009 rhafer@novell.com
- Added missing errorhandling, when trying to read a Entry when
  the current record in not an entry (bnc#541819)
* Fri Feb 27 2009 crrodriguez@suse.de
- fix build with GCC 44
- remove static libraries and "la" files
* Wed Aug 27 2008 rhafer@suse.de
- synced with latest CVS, allows to create LDAP Controls without
  any value (bnc#420016)
* Fri Aug  8 2008 rhafer@suse.de
- synced with latest CVS, allows to pass flags to Schema Parser
* Mon Jun 23 2008 rhafer@suse.de
- migrated to library packaging policy
- synced with latest CVS:
  * support for parsing and generating LDIF
  * enhanced methods for querying Schema related info
  * LDAPI support (LDAP over IPC)
* Tue Feb 26 2008 rhafer@suse.de
- synced with latest CVS, fixes a possible double free (bnc#364528)
* Tue Jan 22 2008 rhafer@suse.de
- synced with latest CVS, adds SASL support and some methods to
  ease the manipulation of Entries
* Wed Nov 21 2007 rhafer@suse.de
- Make LDAPUrl::getURLString() const, to allow easier usage with
  LDAPUrlList::const_iterator. (Bug #341255)
* Wed Nov  7 2007 rhafer@suse.de
- Updated to 0.0.5 (fixes gcc 4.3 issues)
- Cleaned up BuildRequires
- silenced some RPMLINT warnings
* Wed Jan 24 2007 rhafer@suse.de
- correctly initialize usage- and single-Attribute of LDAPAttrType
  (Bug #237305)
* Thu Jan 11 2007 rhafer@suse.de
- added methods to get the usage definition of an AttributeType.
  (Needed for feature #301179)
* Tue Nov  7 2006 ro@suse.de
- fix docu permissions
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS for CXXFLAGS
* Tue Jun 27 2006 lrupp@suse.de
- fix %%files for valid debuginfo package
* Fri Mar 31 2006 rhafer@suse.de
- throw Exception if initialization failed (Bug #159741)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 rhafer@suse.de
- synced with current CVS (doesn't need LDAP_DEPRECATED anymore)
* Sun Sep 25 2005 ro@suse.de
- set CPPFLAGS as well
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Thu Aug 11 2005 rhafer@suse.de
- Don't initalize error string with NULL in LDAPException.
  (Bugzilla #99712)
* Wed Apr 20 2005 rhafer@suse.de
- synced with current CVS
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Thu Aug 12 2004 ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Mon Aug  9 2004 rhafer@suse.de
- Removed duplicate files from -devel filelist.
* Thu Aug  5 2004 rhafer@suse.de
- Fixed typo in the "Requires" of the -devel package
* Wed Aug  4 2004 rhafer@suse.de
- Splitted into runtime and -devel package (Bugzilla #42845)
* Fri Apr 16 2004 rhafer@suse.de
- Bugzilla ID #38668: read additional server messsage in case of
  errors.
* Mon Mar 22 2004 rhafer@suse.de
- correctly ignore capitalisation of Objectclasses and
  Attributetypes in LDAPSchema.cpp
* Tue Feb  3 2004 rhafer@suse.de
- updated to latest version
- run auto*-tools before build
- filelist cleanup
* Thu Jan 22 2004 rhafer@suse.de
- updated to latest version from CVS
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Jul 15 2003 rhafer@suse.de
- added Schema parsing Classes, needed by YaST
* Mon May 12 2003 rhafer@suse.de
- removed caching code (no_cache.dif) as libldap doesn't support
  it anymore
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Thu Aug  8 2002 rhafer@suse.de
- removed SASL related stuff (did not work correctly)
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Thu Jul  4 2002 ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Mon Apr 29 2002 rhafer@suse.de
- added %%{_libdir} to compile package on lib64-archs
* Mon Apr  8 2002 rhafer@suse.de
- using bzip2 compression now
- included newest version to be able to build with gcc 3.1 now
* Fri Nov 16 2001 rhafer@suse.de
- Makes use of namespaces now
- Include bugfixes for some memory allocation/freeing issues
* Tue Jun 12 2001 rhafer@suse.de
- added openssl-devel to needforbuild
- some changes in configure.in to make it work with new autoconf
- added libtoolize, aclocal calls to SPEC file
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Wed Feb 28 2001 rhafer@suse.de
- disabled generation of RTF docs
* Tue Feb 27 2001 ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Mon Feb 26 2001 rhafer@suse.de
- Included the lastest bugfixes and the diff of schwab@suse.de
  in the source tgz
* Mon Jan 22 2001 schwab@suse.de
- Fix visibility violations.
* Fri Jan  5 2001 rhafer@suse.de
- first version of the ldapcpplib package
